Installing debian - fso and tasks routine fails

2011-05-24 Thread Eric Smith
All install phases proceeded without error until the fso routine
which failed with this error:

root@om-gta02 ~ # sh -x debme
+ HOSTNAME=neo SD_SWAP_SIZE=512 
INST_MIRROR=ftp://ftp.nl.debian.org/debian/ 
FSO_MIRROR=http://pkg-fso.alioth.debian.org/debian VERBOSE=1 QI=true 
QI_VERBOSE_BOOT=true ZHONE=true time ./install.sh fso
I: Invoking stage fso
I: Installing freesmartphone.org software
I: /proc is already mounted in chroot
* core packages
I: invoke-rc.d is already diverted - was previous install interrupted?
Reading package lists... Done
Building dependency tree   
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 xserver-xorg-input-tslib : Depends: xorg-input-abi-11 but it is not 
installable
E: Broken packages
Command exited with non-zero status 100


And the tasks routine also fails like this;
 HOSTNAME=neo SD_SWAP_SIZE=512 
INST_MIRROR=ftp://ftp.nl.debian.org/debian/ 
FSO_MIRROR=http://pkg-fso.alioth.debian.org/debian VERBOSE=1 QI=true 
QI_VERBOSE_BOOT=true ZHONE=true TASKS=COM,GPS,NET,
WIFI,UTILS ./install.sh tasks
I: Invoking stage tasks
I: Performing selected tasks: COM,GPS,NET,WIFI,UTILS
I: /proc is already mounted in chroot
 * task: COM
Reading package lists... Done
Building dependency tree   
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 zhone : Depends: python-ecore but it is not going to be installed
 Depends: python-edje but it is not going to be installed
 Depends: python-evas but it is not going to be installed
 Depends: libevas-svn-06-engines-x but it is not installable
 Depends: zhone-illume-glue but it is not going to be 
installed
E: Broken packages

kernel is cool;
Setting up linux-image-2.6.29-openmoko-gta02 (20100313.git973a41fc-1) 
...
I: Kernel installed
Prepare system for booting with Qi
I: Installing kernel package - done
I: Done with stage kernel

Thanks for any help.

-- 
- Eric Smith

___
Openmoko community mailing list
community@lists.openmoko.org
http://lists.openmoko.org/mailman/listinfo/community


Re: Installing debian - fso and tasks routine fails

2011-05-24 Thread Timo Juhani Lindfors
Hi,

[Please use just smartphones-userland@ in the future, sending the same
thing to two mailing lists is not very nice for those who read both
lists.]


Eric Smith e...@fruitcom.com writes:
 root@om-gta02 ~ # sh -x debme

Hmm, what's debme?

 The following packages have unmet dependencies:
  xserver-xorg-input-tslib : Depends: xorg-input-abi-11 but it is not 
 installable
 E: Broken packages

This is

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=627075

As pointed out in

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=623095

we have a problem with tslib: it now wants a kernel newer than 2.6.29
and nobody has had time to figure out what to do about it.

 The following packages have unmet dependencies:
  zhone : Depends: python-ecore but it is not going to be installed
  Depends: python-edje but it is not going to be installed
  Depends: python-evas but it is not going to be installed
  Depends: libevas-svn-06-engines-x but it is not installable
  Depends: zhone-illume-glue but it is not going to be 
 installed
 E: Broken packages

Hmm, I can't immediately find a bug report about that.


___
Openmoko community mailing list
community@lists.openmoko.org
http://lists.openmoko.org/mailman/listinfo/community